{% set extends = '@DemosPlanCore/DemosPlanCore/base.html.twig' %}
{% if procedure|default()|length > 0 %}
    {% set extends =  '@DemosPlanCore/DemosPlanCore/procedure.html.twig' %}
{% endif %}
{% extends extends %}

{% block component_part %}

    {# Header #}
    {% include '@DemosPlanCore/DemosPlanUser/includes/mastertoeblist_pageheader.html.twig' with {
        heading: 'invitable_institution.master.report'|trans,
        highlighted: 'mastertoeblist_report'
    } %}

    {% if templateVars.displayChangesSinceLastVisit == true %}
        <h2 class="u-mt">
            {{ 'invitable_institution.master.report.unread'|trans }}
        </h2>

        {% if templateVars.entriesUnread|length > 0 %}
            <table class="c-table">
                <colgroup>
                    <col class="width-10p">
                    <col class="width-10p">
                    <col>
                    <col>
                    <col>
                </colgroup>
                <thead>
                    <tr>
                        <th>{{ 'date'|trans }}</th>
                        <th>{{ 'user'|trans }}</th>
                        <th>{{ 'changes'|trans }}</th>
                        <th>{{ 'institution'|trans }} - {{ 'invitable_institution'|trans }}</th>
                        <th>{{ 'content'|trans }}</th>
                    </tr>
                </thead>
                <tbody>
                    {% for report in templateVars.entriesUnread %}
                          {% include '@DemosPlanCore/DemosPlanUser/mastertoeblist_report_entry.html.twig' %}
                    {% endfor %}
                </tbody>
            </table>
            <br/>
        {% else %}
            <p>{{ 'invitable_institution.master.report.nounread'|trans }}</p>
        {% endif %}
    {% endif %}

    <h2 class="u-mt">
        {{ 'invitable_institution.master.report'|trans }}
    </h2>

    <table class="c-table">
        <colgroup>
            <col class="width-10p">
            <col class="width-10p">
            <col>
            <col>
            <col>
        </colgroup>
        <thead>
            <tr>
                <th>{{ 'date'|trans }}</th>
                <th>{{ 'user'|trans }}</th>
                <th>{{ 'changes'|trans }}</th>
                <th>{{ 'institution'|trans }} - {{ 'invitable_institution'|trans }}</th>
                <th>{{ 'content'|trans }}</th>
            </tr>
        </thead>
        <tbody>
            {% for report in templateVars.entriesRead %}
                  {% include '@DemosPlanCore/DemosPlanUser/mastertoeblist_report_entry.html.twig' %}
            {% endfor %}
        </tbody>
    </table>
{% endblock component_part %}

{% block javascripts %}
    {{ parent() }}
    {{ webpackBundles(['core-genericBundle.js']) }}
{% endblock javascripts %}
